JRE should be used or JDK should be used with ColdFusion 10 ?

There is a bit of confusion whether to use JRE or JDK with ColdFusion when
you want to use an externally installed one.

This blog entry clarifies on whether to use jre7 or jdk7.

Note:Unless there is a specific reason, it is generally recommended to use the latest patched JRE/JDK of major Java version supported. As of 8th March 2013, for Java 1.7 the latest patched version is Java 1.7 Update 17.

The decision on whether JRE or JDK should be used is determined by whether
JRE/JDK contains Server VM or not as ColdFusion runs only on top of Server VM.
ColdFusion can’t run on Client VM.

For all platforms, JRE that comes along with JDK contains server VM.

Even the public JRE that is available from Oracle contains Server VM for all
platforms except for Windows 32-bit JRE.

So, from this it can be derived as follows:

1. For Win 64, Linux 32, Linux 64, Solaris 64-bit, Mac 64-bit you can use
any of public JRE from Oracle or the JRE that is contained within JDK. We would
recommend you to use Public JRE from Oracle. For Mac OS X there is an extra
note below before which you want to conclude whether to use public JRE or JDK’s
JRE.

2. For Windows 32-bit, you can use the JRE that is contained within JDK

 OR

You can use the Win 32- Public JRE by customizing it to contain Server VM.

(To customize it you can copy <JDK_HOME>jrebinserver
directory and its content to Public JRE (jrebinserver ). It would at
same directory level as client directory.

Note for Mac OS X Installations:

For Mac also public JRE as well JDK contained JRE contains server VM.
If you are using Web Services you would need one file from JDK(tools.jar). JRE
doesn’t contain this file.
Since full version of ColdFusion 10 is shipped before Java 7  and Mac OS X
used to ship JDK earlier which contains this file by default, we never shipped
it along with ColdFusion installation.
With update 8 for Java 1.7 support on mac OS X, we are just copying this
tools.jar from installed JDK to <ColdFusion_Home>cfusionlib.
Going forward we will be shipping it along with ColdFusion installer for Mac as
well but for ColdFusion 10 this file is not there.
So, consider using JRE or JDK depending on the need for Mac OS X
                      OR
Just use JRE itself and only if needed you can copy tools.jar(it is same for
all platforms) to <ColdFusion_Home>cfusionlib.
So if you are using ColdFusion 10 on Mac OS X with JRE 1.7 you might want to
copy tools.jar to <ColdFusion_Home>cfusionlib

 

 

4 thoughts on “JRE should be used or JDK should be used with ColdFusion 10 ?

  1. You recommend using the public versions of Java, does Adobe support using the paid Java for Business versions supported by Oracle? I agree it would be unwise to run the Java preview versions aka ‘Next Release (Early Access)’ on a production system. Also please consider updating cpsid_92330 and the 2012-09-26 blog post ‘Minor Java upgrades in ColdFusion’ (also delete blog spam) indicating if Java 1.7 minor releases can be upgraded, especially since 1.7 Update 17 is now available.

  2. It would be nice if you could update the java in Coldfusion the same way you run other updates assuming you use the default installation. We don’t use Java for anything else and this type of update always makes me nervous.

Leave a Reply

Your email address will not be published. Required fields are marked *